Ir para conteúdo
  • Cadastre-se
Fernando Ventura Jr.

Qual versão do Xcode devo usar para desenvolver apps para o IOS 9.3.5?

Posts Recomendados

Tenho um IPAD 2 que foi sendo atualizado até a versão IOS 9.3.5(acho que até que foi até longe). Estou estudando o desenvolvimento de Apps com o XCode 9.2, que é a última versão que o meu velho Mac Book Pro, rodando Mac OS Sierra, aceita. Acontece que ao tentar emular o app no Ipad, o compilador reclamou pedindo que atualizasse o meu Ipad para IOS 10, o que não consigo mais. Aconselhou a alterar o target IOS para uma versão anterior. Eu fiz isso, mas aí reclamou da versão do sdk.

Devo baixar o Xcode 7.3 para desenvolver para IPADs antigos como o meu ou tentar resolver o probela da versão da sdk e continuar com o XCode 9.2? O que acham?

 

Compartilhar este post


Link para o post
Compartilhar em outros sites

Também tenho um iPad antigo no iOS 9.3.5, testei aqui e consegui rodar um app teste nele apenas mudando o target, uso o ultimo Xcode no Mojave.

O seu problema é justamente estar usando uma versão antiga do Xcode, acredito que versões antigas não podem mais rodar em dispositivos os apps. Então comprar um iPad novo não vai adiantar.

Mas se vc está estudando Swift e programar para iOS, também não acho uma boa usar Xcode antigos por causa das versões do Swift. A cada versão a linguagem muda um pouco e sempre há atualizações nos frameworks. Usar um xcode antigo implica em você ter que usar códigos desatualizados.

Compartilhar este post


Link para o post
Compartilhar em outros sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Visitante
Responder este tópico…

×   Você colou conteúdo com formatação.   Remover formatação

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Limpar editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Quem Está Navegando   0 membros estão online

    Nenhum usuário registrado visualizando esta página.



  • Conteúdo Similar

    • Por Diego Froes
      Pessoal, boa tarde.
      Estou começando a desenvolver para IOS utilizando as ferramentas XCode, Visual Studio e  Unity. Contudo, como sou iniciante na área IOS gostaria de começar a usar um MacBook Pro usado.
      Mac's que estou sondando:
      Modelo: MacBook Pro; Processador: Intel i5 ou i7; Disco: SSD de 240 ou superior Memória: 8GB ou superior Fabricação: 2011 ou superior Diante do cenário de desenvolvimento de Software, qual seria uma configuração recomendável com faixa de preço entre 2k a 2.5k?
      Obs.: Moro em Belo Horizonte. 
    • Por nandev
      Olá pessoal,
      Gostaria que me indicassem alguns bons cursos online para desenvolver em swift? Pode ser pago ou gratuito. Já fiz um que existe da unicamp no Coursera, e estou fazendo um da Udemy.
      Ah, e gostaria de saber também como está o mercado de desenvolvimento mobile? Geralmente as empresas requisitam que o profissional programe tanto para iOS quanto para Android? Digo isso porque pra aprender 2 linguagens ao mesmo tempo seria bem trabalhoso. Neste momento estou focado no iOS.
      Obrigado
    • Por Elber Nantes
      Pessoal, boa noite! Ás vezes participo de alguns beta testers para ver as novidades dos sistemas operacionais e tal, mas no campo de atualizações, da App Store, está aparecendo uma atualização que anda me incomodando (Command Line Tools) for Xcode 9.0 (Print no Anexo) Acontece que não tenho nada do Xcode instalado e nem quero. Alguém sabe se é possível eu sair disso?

    • Por Pedro Tizatto
      Na hora de compilar o projeto no xcode ele acusa um erro de 'mach error'.
      Instalei tudo pelo terminal, ele da sucesso, cria a pasta com todos os arquivos mas por algum motivo continua dando erro...
      alguém sabe o que está acontecendo ou tem algum bom vídeo que mostre como instalar?
    • Por ttaless
      Boa noite! Estou começando a usar o Xcode agora, e não aparece o botão de "play" para rodar o projeto, já tentei habilitar nas configurações mas sem sucesso. Agradeço se alguém puder ajudar.O problema está em não aparecer aquele botão logo ao lado dos botões de minimizar, fechar etc. E estou tentando programar em c, já até reinstalei e nada de aparece. A primeira imagem é do meu mac, a segunda é de como deveria estar 

    • Por Matheus Pedrosa_10291
      Sou estudante do último ano do curso de Ciência da Computação, na UTFPR, e estou prestes a iniciar o desenvolvimento do meu TCC. Estou pensando em desenvolver alguma aplicação em Swift. Tenho em mente utilizar alguma third-party API e pesquisar sobre desempenho, tava pensando em comprar o Core Data API e o MagicalRecord, ou outra coisa (ideias?).

      Vim aqui para perguntar aos programadores do fórum se possuem alguma ideia interessante, que possa gerar uma pesquisa científica e esteja disposto a conversar sobre.
       
      Desde já, obrigado!
    • Por Olecram2006
      Olá Pessoal.

      Estou para comprar um Ipad apenas para ver vídeos e estudar para concursos. Ou seja, terá bastante leitura e edição de pdfs.

      Neste caso, o que vocês me aconselham: Um Ipad 2 de 64gb ou Ipad 3 de 32gb?

      Tem duas propostas destes aparelhos, ambos por R$ 750.

      Abs.
    • Por Larissa Pazini
      Olá, estou com dificuldade para fazer rodar no prompt command um programa criado no xcode. Alguém poderia me ajudar??
    • Por Hardel
      Pessoal, procuro alguém que tenha bons conhecimentos em Swift e esteja disposto a dar aulas particulares via Skype.
      Estou fazendo um projeto, porem, tenho pouca experiencia em programação. Conheço bem a linguagem, mas não consigo finalizar o projeto.
      Alguém disponível?
    • Por rafaelmq
      Nao sei se é o lugar correto para postar...mais vamos la !!
      Ola... Faz algum tempo que estou cogitando em compar um MAC para desenvolvimento de Aplicações IOS.
      Já sou desenvolver WEB e Android, e gostaria de aprender a desenvolver em IOS.
      Hoje tenho um Notebook da Dell ate parrudo...um Dell 15R SE com placa de video dedicada 2GB  e SSD samsung.
      Ate agora ele me atente bem, porem o que nao me agrada mais é o windows, que cada vez me atrapalha mais com drivers e versões ruins.
      Na epoca comprei este note no intuito de estudar e jogar...agora, desisti de jogar no note, ate porque nao tenho tempo mais.
       
      A minha duvida é o seguinte...
      Comprando um Macbook PRO Core2Duo (familia P8xxx) e realizar um upgrade de 8 ou 16gb de RAM + um SSD de 250GB
      Eu consigo programar tranquilamente nele...rodar o ambiente de desenvolvimento inteiro... Xcode...Itellij...tomcat...Banco de Dados...Android Studio.?
       
      O meu gosto era coomprar um Macbook pro 2011-2012 e realizar o upgrande... porem esta fora do meu orçamento...
      esse core 2 duo estou encontrando entre 1500-1800
       
       
      Obrigado.

       
  • Estatísticas do Fórum

    • Total de Tópicos
      47.525
    • Total de Posts
      407.919
×
×
  • Criar Novo...